package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.WxCityInfo;

@Mapper
public interface WxCityInfoMapper {

    public WxCityInfo queryWxCityInfo(WxCityInfo wxCityInfo);

    public List<WxCityInfo> queryWxCityInfoList(WxCityInfo wxCityInfo);

    public void saveWxCityInfo(WxCityInfo wxCityInfo);

    public void updateWxCityInfo(WxCityInfo wxCityInfo);

    public void deleteWxCityInfo(WxCityInfo wxCityInfo);

    public List<WxCityInfo> queryWxCityInfoPage(Map map);

    public Integer queryWxCityInfoPageCount(Map map);

    public void saveWxCityInfoBatch(List<WxCityInfo>  wxCityInfoList);
}

